<template>
</template>

<script>
  export default {
    data() {
      return {
        auth_token: 'test'
      }
    },
    mounted() { 
      let url = new URL(window.location);
      let c = url.searchParams.get("auth_token");
      this.auth_token = c
      this.$http.post('/api/v1/sessions', {auth_token: this.auth_token}).then((response) => {
        this.$store.dispatch('signIn', response.data.user)
        this.$router.push('/')
      }).catch((error) => {
        this.$root.$emit(`displayError`, (error.response.data.message))
        this.$store.dispatch('signOut')
      })
    }
  }
</script>
